%% Info
% Demo program to demonstrate the use of the a kernel model trained as in
% Demo_training.m
clear all, close all
startup()


%% Path of the model (created by Demo_training)
modelFile = 'Models/ModelExample.mat'; 


%% Load the kernel model
modelPar = importdata(modelFile);


%% Initialize the model
d = 3; % input dimension
X = rand(1, 3); % a random d-dimensional point 
kernelModel(X, modelPar); % set modelPar


%% Compute predictions
% Now the model can be evaluated for a new vector of inputs from
% everywhere (provided 'kernelMode' is in the path), without passing again
% the parameters modelPar
Xte = rand(1000, d); % example of test inputs
ste = kernelModel(Xte); % kernel model evaluated on Xte
